Skip to main content

Transfer

1 API call in this section.

Endpoints for transferring funds between wallets.

Transfer Funds​

Billing & Subscriptions / Wallets / Transfer
POST/wallets/transfer

Transfers funds from the sender wallet resolved from the auth context to a recipient wallet within the same tenant. The response does not return currency; the frontend displays currency from tenant configuration.

  • Requires Bearer Token authentication: Authorization: Bearer {{access_token}}

Response

  • Returns transfer_id, new_balance, amount, timestamp.

Query parameters

ParameterTypeDescription
languageOptionalstring

Language code for response localization (Optional, default: en) (string, optional): Language code for localized response messages (default: en)

Example: en

Headers

ParameterTypeDescription
Authorizationstring

Example: Bearer {{access_token}}

Content-Typestring

Example: application/json

Body parameters

ParameterTypeDescription
amountnumber—
recipient_identifierstring—
identifier_typestring—
descriptionstring—
Staging
Request
curl
1curl --globoff --request POST "https://staging-api.ondi.io/functions/v1/wallets/transfer?language=en" \2  --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}" \3  --header "Content-Type: application/json" \4  --data-raw '{5  "amount": 100,6  "recipient_identifier": "[email protected]",7  "identifier_type": "email",8  "description": "Transfer funds"9}'

Response examples

200OK
Response body
json
1{2  "success": true,3  "transfer": {4    "transfer_id": "550e8400-e29b-41d4-a716-446655440000",5    "new_balance": 900,6    "amount": 100,7    "timestamp": "2023-01-01T00:00:00Z"8  }9}